
TYPO3.Flow - Bug # 33811

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Cache
Created: 2012-02-09 Assigned To: Robert Lemke
Updated: 2012-04-26 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Not all caches are flushed (automatically) if needed
Description

At least these are affected:

    -  Fluid template cache (e.g. when changing a ViewHelper class)
    -  XLIFF / locale cache (after XLIFF files have been changed)

Related issues:
related to TYPO3.Flow - Feature # 3306: Flush routes cache automatically on c... Accepted 2009-05-14
related to TYPO3.Flow - Feature # 5849: Rebuild proxy classes if security pol... Resolved 2009-12-28

Associated revisions
Revision fb277f30 - 2012-04-25 23:21 - Robert Lemke

[FEATURE] Track all configuration changes

This change set greatly improves the file monitoring of FLOW3's
system relevant files, such as class files, settings, object
configuration, policies and translations.

In Development context, changes to any of the above will be
tracked and the related caches are flushed. For performance
reasons, the new mechanism does not rely on the tagging
feature of the cache framework, but uses the new Simple
File Backend and rather flushes a few caches too many than
missing an important change.

Change-Id: I52b9f659740aef5d929a102ef5902b1fd1d2a588
Resolves: #5849
Resolves: #33811
Related: #35912
Releases: 1.1

History
#1 - 2012-04-24 17:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10572
#2 - 2012-04-24 18:05 - Karsten Dambekalns
- Assigned To set to Robert Lemke

#3 - 2012-04-25 18:00 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10572

#4 - 2012-04-25 22:30 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10572

#5 - 2012-04-25 23:21 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10572

#6 - 2012-04-26 14:38 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fb277f305a7cbfb73d60ce2de218790f3093fdb8.
